%define name1       ffDiaporama

Name:               ffdiaporama
Version:            2.0.1
Release:            %mkrel 1
Summary:            Movie creator from photos and video clips
License:            GPLv2
URL:                http://ffdiaporama.tuxfamily.org
Group:              Video/Editors and Converters
Source0:            http://download.tuxfamily.org/%{name}/Archives/%{name}_%{version}.tar.gz

BuildRequires:      pkgconfig(QtCore)
BuildRequires:      pkgconfig(libavcodec)
BuildRequires:      pkgconfig(SDL_mixer)
BuildRequires:      pkgconfig(sdl)
BuildRequires:      desktop-file-utils
BuildRequires:      pkgconfig(exiv2)

Requires:           ffmpeg
Requires:           qt4-common

Suggests:           ffdiaporama-texturemate
Suggests:           ffdiaporama-openclipart


%description
ffDiaporama is an application of creation of videos sequences
established by
 * titles, fixed or livened up.
 * images or by photos, fixed or livened up.
 * movie clip
 * music

These sequences are assembled in slide show by means of
transitions of sequence to produce complete videos

Main features:
 * Refocused of images and photos and refocused and cutting of video clips
 * Note (addition of text) for images, photos, sequences and animations
 * Graphic filters on the images and the videos (passage in black and white,
 dust removal, equalization of colors, etc.)
 * Creation of animation by zoom, rotation or Ken Burns Effect on part of
 images or photos
 * Correction of the images and the videos during the animations
 (luminosity, contrast, gamma, colors, etc.)
 * Transitions between sequence with definition of the transition type,
 sequence by sequence.
 * Addition of a background sound (wav, mp3 or ogg) with customizable
 effects of volume, fade in/out and passage in pause, sequence by
 sequence.
 * Generation of usable videos by most of the current videos equipments
 (DVD player/smartphone, multimedia box, hard drive, etc.) but also
 publishable on the main video sharing Web sites (YouTube, Dailymotion,
 etc.)

%prep
%setup -q -c %{name}_%{version}

%build
%qmake_qt4 %{name1}.pro
%make

%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT
find %{buildroot}%{_datadir}/%{name1}/locale -name "*.ts" | xargs rm -f
#locale in double:
rm -f %{buildroot}%{_datadir}/%{name1}/locale/qt_zh_tw.qm

cat > %{name}.lang << EOF
%lang(cz) %{_datadir}/%{name1}/locale/%{name1}_cz.qm
%lang(de) %{_datadir}/%{name1}/locale/%{name1}_de.qm
%lang(de) %{_datadir}/%{name1}/locale/qt_de.qm
%lang(de) %{_datadir}/%{name1}/locale/wiki_de.qch
%lang(de) %{_datadir}/%{name1}/locale/wiki_de.qhc
%lang(el) %{_datadir}/%{name1}/locale/%{name1}_el.qm
%lang(el) %{_datadir}/%{name1}/locale/wiki_el.qch
%lang(el) %{_datadir}/%{name1}/locale/wiki_el.qhc
%lang(en) %{_datadir}/%{name1}/locale/wiki_en.qch
%lang(en) %{_datadir}/%{name1}/locale/wiki_en.qhc
%lang(es) %{_datadir}/%{name1}/locale/%{name1}_es.qm
%lang(es) %{_datadir}/%{name1}/locale/qt_es.qm
%lang(es) %{_datadir}/%{name1}/locale/wiki_es.qch
%lang(es) %{_datadir}/%{name1}/locale/wiki_es.qhc
%lang(fr) %{_datadir}/%{name1}/locale/%{name1}_fr.qm
%lang(fr) %{_datadir}/%{name1}/locale/qt_fr.qm
%lang(fr) %{_datadir}/%{name1}/locale/wiki_fr.qch
%lang(fr) %{_datadir}/%{name1}/locale/wiki_fr.qhc
%lang(it) %{_datadir}/%{name1}/locale/%{name1}_it.qm
%lang(it) %{_datadir}/%{name1}/locale/qt_it.qm
%lang(it) %{_datadir}/%{name1}/locale/wiki_it.qch
%lang(it) %{_datadir}/%{name1}/locale/wiki_it.qhc
%lang(nl) %{_datadir}/%{name1}/locale/%{name1}_nl.qm
%lang(pt) %{_datadir}/%{name1}/locale/%{name1}_pt.qm
%lang(pt) %{_datadir}/%{name1}/locale/qt_pt.qm
%lang(pt) %{_datadir}/%{name1}/locale/wiki_pt.qch
%lang(pt) %{_datadir}/%{name1}/locale/wiki_pt.qhc
%lang(ru) %{_datadir}/%{name1}/locale/%{name1}_ru.qm
%lang(ru) %{_datadir}/%{name1}/locale/qt_ru.qm
%lang(ru) %{_datadir}/%{name1}/locale/wiki_ru.qch
%lang(ru) %{_datadir}/%{name1}/locale/wiki_ru.qhc
%lang(zh_TW) %{_datadir}/%{name1}/locale/%{name1}_zh_tw.qm
%lang(zh_TW) %{_datadir}/%{name1}/locale/qt_zh_TW.qm
EOF


%files -f %{name}.lang
%{_datadir}/%{name1}/
%{_bindir}/%{name1}
%{_datadir}/applications/%{name1}.desktop
%{_datadir}/mime/packages/%{name1}-mime.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Dec 13 2013 dglent <dglent> 2.0.1-1.mga4
+ Revision: 556585
- Remove patch for ffmpeg 2.0 (Support for ffmpeg 2.0 since ffDiaporama 2.0)
- New version 2.0.1
- Drop ffmpeg 2.0 patch
- Add Suggests ffDiaporama extensions
- Add lang tags for wiki
- Remove lang in double for zh_TW
- Remove qimageblitz from br (integrated in ffDiaporama 2.0)
- Add comment for removing br in next version

* Sat Oct 19 2013 umeabot <umeabot> 1.6-3.mga4
+ Revision: 529684
- Mageia 4 Mass Rebuild

  + dglent <dglent>
    - Remove duplicate lang tag
    - Add %%lang tags in spec

* Thu Jul 11 2013 fwang <fwang> 1.6-1.mga4
+ Revision: 452897
- use new avcodecid

  + dglent <dglent>
    - Update SPEC
    - New version 1.6
    - New version 1.6 beta5

* Fri Jan 11 2013 umeabot <umeabot> 1.5-3.mga3
+ Revision: 350257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.5-2.mga3
+ Revision: 341617
- rebuild for new ffmpeg

  + dglent <dglent>
    - New version 1.5

* Sun Oct 07 2012 dglent <dglent> 1.4-1.mga3
+ Revision: 303202
- New version 1.4

* Mon Oct 01 2012 obgr_seneca <obgr_seneca> 1.3.1-1.mga3
+ Revision: 301627
- adapted to new rpm group policy

  + dglent <dglent>
    - New version 1.3.1

* Mon Jun 18 2012 fwang <fwang> 1.3-3.mga3
+ Revision: 261628
- rebuild for new libexiv

* Fri Jun 01 2012 fwang <fwang> 1.3-2.mga3
+ Revision: 252799
- drop unused requires, those requires are alrady promoted by binary deps

  + dglent <dglent>
    - 'licences.txt' was listed twice

* Mon May 28 2012 dglent <dglent> 1.3-1.mga3
+ Revision: 247821
- New version 1.3 stable
- New version 1.3beta1

* Mon Apr 09 2012 dglent <dglent> 1.2.1-1.mga2
+ Revision: 229802
- New stable version 1.2.1

* Tue Mar 06 2012 obgr_seneca <obgr_seneca> 1.2-1.mga2
+ Revision: 220460
- removed unneeded Requires

  + dglent <dglent>
    - New version 1.2 stable
    - imported package ffdiaporama

